All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata.favorites
Interface FavoritesGroup

All Superinterfaces:
  FavoritesContainer, MetadataInterface, PublicObjectContainerInterface, PublicObjectInterface, java.rmi.Remote

    public interface FavoritesGroup

extends FavoritesContainer

Interface representing the FavoritesGroup public object. The purpose of this object type is to allow users to organize their favorites into multiple categories.

This interface behaves just like a FavoritesFolder. The only different between the two is that a FavoritesGroup is considered to be a nested public object. It is contained only by a FavoritesFolder or another FavoritesGroup. A FavoritesGroup instance can never be parented directly by a folder.

To create a new favorites group object, the `FavoritesFactory` class should be used. The following is an example of how to create a new favorites group under an existing favorites folder:

      String name = "WRS Favorites";
      FavoritesFolder favoritesFolder = null;
      FavoritesGroup favoritesGroup = FavoritesFactory.createFavoritesGroup(name, favoritesFolder);
      if (favoritesGroup != null)
      {
         //persist the changes to the server
         favoritesGroup.update();
      }

Since:
  9.3

Field Summary

Fields inherited from interface com.sas.services.information.metadata.favorites.FavoritesContainer
`CAPACITY_UNLIMITED`

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`FavoritesContainer` | `getFavoritesContainer()` Returns the parent container that owns this group.
`void` | `setFavoritesContainer(FavoritesContainer parent)` Sets the container that owns this group.

Methods inherited from interface com.sas.services.information.metadata.favorites.FavoritesContainer
`addFavorite, addFavoritesGroup, containsFavorite, getFavoriteCount, getFavoriteIndex, getFavorites, getFavorites, getFavoritesGroupIndex, getFavoritesGroups, getMaxCapacity, getTotalFavoriteCount, hasDuplicateFavoritesGroup, insertFavorite, insertFavoritesGroup, isEmpty, moveFavorite, removeAll, removeAllFavorites, removeAllFavoritesGroups, removeFavorite, removeFavoritesGroup, setMaxCapacity`

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectContainerInterface
`getChildAt, getChildCount, getChildren, getChildren, newChild`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Method Detail

### getFavoritesContainer

    FavoritesContainer getFavoritesContainer()
                                             throws ServiceException,
                                                    java.rmi.RemoteException

  Returns the parent container that owns this group. A favorites group can either be contained by a `FavoritesFolder` or another favorites group.

  Returns:
    container object
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### setFavoritesContainer

    void setFavoritesContainer(FavoritesContainer parent)
                               throws ServiceException,
                                      java.rmi.RemoteException

  Sets the container that owns this group. A favorites group can either be contained by a `FavoritesFolder` or another favorites group.

  Parameters:
    `parent` - container object
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.